CreateVmInstance
CreateVmInstance
/zstack/v1/vm-instancesOperation ID
CreateVmInstanceSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe VM instance name.
instanceOfferingUuidStringRequiredThe instance offering UUID. Specifies the CPU, memory, and other parameters of the VM instance.
imageUuidStringRequiredThe image UUID. Specifies the image from which the root volume of the VM instance is created.
l3NetworkUuidsListRequiredThe L3 network UUID list. You can specify one or more L3 networks. Then the VM instance will create a NIC on each network.
typeStringOptional. The VM instance type. This parameter is a reserved field for internal use.
rootDiskOfferingUuidStringOptional. The disk offering UUID of the root volume. If the image type specified in imageUuid is ISO, you must specify rootDiskOfferingUuid to determine the size of the root volume to be created. If the image type is not ISO, this parameter is optional.
dataDiskSizesListOptional. List of custom volume sizes. You can specify one or more volume sizes (repeatable) to create one or more data volumes for the VM instances.
dataDiskOfferingUuidsListOptional. The disk offering UUID list. You can specify one or more disk offering UUIDs to create one or more data volumes for the VM instance. (The UUIDs can be repeated.)
zoneUuidStringOptional. The zone UUID. If specified, the VM instance will be created in the specified zone.
clusterUuidStringOptional. The cluster UUID. If specified, the VM instance will be created in the specified cluster. This parameter can override zoneUuid.
hostUuidStringOptional. The host UUID. If specified, the VM instance will be created on the specified host. This parameter can override zoneUuid and clusterUuid.
primaryStorageUuidForRootVolumeStringOptional. The primary storage UUID. If specified, the root volume of the VM instance will be created on the specified primary storage.
descriptionStringOptional. The detailed description of the VM instance.
defaultL3NetworkUuidStringOptional. The UUID of the default L3 network. If multiple L3 networks are specified in l3NetworkUuids, this parameter specifies the L3 network that provides default routing. If not specified, the first network specified in l3NetworkUuids will be used as the default network.
resourceUuidStringOptional. The resource UUID. If specified, the VM instance will use the specified value as UUID.
tagUuidsListOptional. The tag UUID list.
strategyStringOptional. The VM instance creation strategy. Start the VM instance immediately after creation. Do not start the VM instance after creation.
dataVolumeSystemTagsOnIndexMapOptional. The required system label mapping requited for data volume index.
systemTagsListOptional. The system tags of the VM instance.
userTagsListOptional. The user tags of the VM instance.
